• Kunshan Wang's avatar
    Scala 2.12.2, deprecated, clientsupport · 08b6e8f0
    Kunshan Wang authored
    Switched Scala version to 2.12.2, the most recent stable version.  It
    will now require Java 1.8.
    
    Fixed existing uses of deprecated features.
    
    Removed the `uvm.clientsupport` package.  This package was intended to
    help Mu clients build text-based Mu IR bundles.  However, we started
    using the IR Builder API instead, and the `uvm.clientsupport` package
    remained unused.  The same capability can be provided by the
    `mu-tool-compiler` project
    (https://gitlab.anu.edu.au/mu/mu-tool-compiler).  `uvm.clientsupport`
    provided a non-SSA-to-ssa converter, which can be useful for clients.
    If there are needs of resurrecting that feature, please checkout the
    previous commit.
    08b6e8f0
Name
Last commit
Last update
cbinding Loading commit data...
migrate_scripts Loading commit data...
project Loading commit data...
pythonbinding Loading commit data...
src Loading commit data...
tests Loading commit data...
tools Loading commit data...
.gitignore Loading commit data...
.travis.yml Loading commit data...
LICENSE Loading commit data...
README.md Loading commit data...
build.sbt Loading commit data...
test.sh Loading commit data...